#####
## Getting the Vdss sensitivity to pKa plot, need to run these steps:
## The below code makes the IAT.list needed to run the Vdss: data.o is the exposure universe.
library(PBPKxIon)
ExpU.o <- SetExposureUniverse()
flat.df <- ExpU.o$flatten.pKa()

## LoadIAResources is not a callable funcition. Should make this so before sending out.
LoadIAResources()
IAT_hists <- c(1:9, 11, 69, 72)
## Load the IATs, their relative frequency, and their list of chemical values ##
IAT.list <<- GetMonteCarloIATInfo(flat.df, IAT_hists)

## Now, can run the chemicals in nhanes.o AND Peyret data through the vdss sensitivity.
## The assumption is that all necessary xlsx files are in the same directory as RStudio
nhanes.o <- SetNHANESSamples()
phys.o <- PBPKxIonSetPhysiology()
Vdss_SensitiityAnalysis_InferIAT(nhanes.o, phys.o, reps=2000, IAT.list=IAT.list)