# Configuration file for the pKaTools analysis scripts.
library(pKaTools)
CHEMDATA <- 'C:/Users/cstrope/Documents/CHEMDATA/'

chem.data.o <- xl_input$new(filename=paste0(CHEMDATA, '32k_pKa_prediction-20170208.xlsx'), 
	sheet="chem_data")
pKa.data.o <- xl_input$new(filename=paste0(CHEMDATA, '32k_pKa_prediction-20170208.xlsx'), 
	sheet="MARVIN")
pKa.struct.o <- xl_input$new(filename=paste0(CHEMDATA, '32k_fingerprints_fingerprints.txt'), 
	sheet='')
nhanes.data.o <- xl_input$new(filename=paste0(CHEMDATA, 'Vdss_predict.xlsx'), 
	sheet='chem.data')
nhanes.pKa.o <- xl_input$new(filename=paste0(CHEMDATA, 'Vdss_predict.xlsx'), 
	sheet='MARVIN')
nhanes.fingerprint.o <- xl_input$new(filename=paste0(CHEMDATA, 'Vdss_predict.xlsx'), 
	sheet='fingerprints')
# Give the physiology xlsx input. Assumed sheets: 'it', 'ct', 'tissue.phys', for now.
physiology.xls <- paste0(CHEMDATA, 'Vdss_predict.xlsx')

## Each object to df transform changes the suffix (o -> df)
chem.data.df <- chem.data.o$setDF()
pKa.data.df <- pKa.data.o$setDF()
pKa.struct.df <- pKa.struct.o$setDF()
nhanes.data.df <- nhanes.data.o$setDF()
nhanes.pKa.df <- nhanes.pKa.o$setDF()
nhanes.fingerprint.df <- nhanes.fingerprint.o$setDF()

physData.o <- LoadPhysiology(physiology.xls,
    		  physiology.it.sheet="it",
    		  physiology.ct.sheet="ct",
    		  physiology.tissue.sheet="tissue.phys",
    		  species="Human")
ExpU.o <- LoadData(chem.data.df=chem.data.df,
		  pKa.data.df=pKa.data.df,
		  fingerprint.data.df=pKa.struct.df)
print("Loaded ExpU.o")
print("GENERALIZE LOADING ROUTINE")
nhanes.o <- LoadData(chem.data.df=nhanes.data.df,
           			 pKa.data.df=nhanes.pKa.df,
           			 fingerprint.data.df=nhanes.fingerprint.df)
print("Loaded nhanes.o")

profile.IATs <- c(1:9, 11, 69, 72)
IAT.profile.data <- SetIATHistograms(ExpU.o, profile.IATs)

# Oxasulfuron
pKa.Vdss.Oxasulfuron <- Bootstrap_IAT.Vdss_(nhanes.o$chemList[[4]], 
                    			physData.o, 
                                reps=5000, 
                                IAT.profile.data)
# Atrazine
pKa.Vdss.Atrazine <- Bootstrap_IAT.Vdss_(nhanes.o$chemList[[7]], 
                    			physData.o, 
                                reps=5000, 
                                IAT.profile.data)
# BPA
pKa.Vdss.BPA <- Bootstrap_IAT.Vdss_(nhanes.o$chemList[[15]], 
                    			physData.o, 
                                reps=5000, 
                                IAT.profile.data)
